import React from "react";
import { Field } from "react-final-form";
import TextField from "@material-ui/core/TextField";

export default function FormInput(props) {
  const {
    name,
    variant,
    inputClassNames,
    wrapperClassNames,
  } = props;

  return(
    <Field name={name}>
      {({ input, meta }) => (
        <div className={wrapperClassName}>
          <TextField
            {...input}
            type={type || "text"}
            placeholder={placeholder}
            variant={variant || "outlined"}
            error={meta.touched && !!meta.error}
            className={inputClassNames}
          />
          {meta.touched && meta.error && <span>{meta.error}</span>}
        </div>
      )}
    </Field>
  );
}

FormInput.propTypes = {
  name: PropTypes.string.isRequired,
  variant: PropTypes.string.isRequired,
};
